---
title: CSV Fields
slug: bigboxapi/homedepot-product-data-api/reference/csv-fields
docTags: 
createdAt: 2024-07-22T08:01:06.003Z
---

# CSV Fields Reference

BigBox API can return data in CSV format by specifying the  `output=csv`  request parameter. When setting  `output=csv`  the  `csv_fields`  parameter determines the fields to include in the CSV result.

CSV fields should be specified as a comma seperated list of field names, with  **nested fields being expressed in dot notation** .

Here's an example of the  `csv_fields`  parameter:

`csv_fields=`
Below is a full list of all of the supported CSV Fields shown under their group.

| *`Field Group`*            | *`Fields in Group`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| -------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`request`*<br />          | `type`  `url`  `page`  `max_page`  `item_id`  `gtin`<br />`sort_by`  `search_term`  `category_id`  `customer_zipcode`  `min_price`  `max_price`<br />`reviewer_type`  `five_star`  `four_star` `three_star`  `two_star`  `one_star`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`product`*<br />          | `title`  `item_id`  `store_sku`  `upc`  `model_number`  `link`  `main_image.link`  `rating`  `ratings_total`  `brand`  `brand_link`  `description`  `aisle`  `bay`<br />`buybox_winner.price`  `buybox_winner.unit`<br />`buybox_winner.currency_symbol`<br />`buybox_winner.fulfillment.pickup`<br />`buybox_winner.fulfillment.ship_to_store`<br />`buybox_winner.fulfillment.ship_to_store_info.store_id`<br />`buybox_winner.fulfillment.ship_to_store_info.store_state`<br />`buybox_winner.fulfillment.ship_to_store_info.store_name`<br />`buybox_winner.fulfillment.ship_to_store_info.in_stock`<br />`buybox_winner.fulfillment.ship_to_store_info.stock_level`  `buybox_winner.fulfillment.ship_to_store_info.price`<br />`buybox_winner.fulfillment.ship_to_store_info.start_date`<br />`buybox_winner.fulfillment.ship_to_store_info.end_date`<br />`buybox_winner.fulfillment.ship_to_home`<br />`buybox_winner.fulfillment.ship_to_home_info.store_id`<br />`buybox_winner.fulfillment.ship_to_home_info.store_name`<br />`buybox_winner.fulfillment.ship_to_home_info.in_stock`<br />`buybox_winner.fulfillment.ship_to_home_info.stock_level`<br />`buybox_winner.fulfillment.ship_to_home_info.price`<br />`buybox_winner.fulfillment.ship_to_home_info.start_date`<br />`buybox_winner.fulfillment.ship_to_home_info.end_date`<br />`buybox_winner.fulfillment.ship_to_home_info.delivery_date_name`  `buybox_winner.fulfillment.scheduled_delivery` |
| *`reviews`*<br />          | `position`  `id`  `title`  `body`  `rating`<br />`positive_feedback`  `negative_feedback`<br />`source.is_external_source`  `source.author_id`<br />`source.author_name`  `source.verified_purchase`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| *`questions`*<br />        | `position`  `id`  `title`  `total_answers`  `date`<br />`profile.author_name`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| *`search_results`*<br />   | `position`  `product.title`  `product.item_id`<br />`product.store_sku`  `product.link`<br />`product.primary_image`  `product.rating`<br />`product.ratings_total`  `offers.primary.price`<br />`offers.primary.currency`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| *`category_results`*<br /> | `position`  `product.title`  `product.item_id`<br />`product.store_sku`  `product.link`<br />`product.primary_image`  `product.rating`<br />`product.ratings_total`  `offers.primary.price`<br />`offers.primary.currency`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |

